Last Comment Bug 10802 - [FEATURE] Open Attachment
: [FEATURE] Open Attachment
Status: VERIFIED FIXED
[nsbeta2+]Exception Feature - ETA 6/19
:
Product: MailNews Core
Classification: Components
Component: Backend (show other bugs)
: Trunk
: All All
: P2 major (vote)
: M16
Assigned To: Scott MacGregor
: pmock
Mentors:
: 22804 26200 (view as bug list)
Depends on: 13784
Blocks: 10791 11091
  Show dependency treegraph
 
Reported: 1999-07-29 15:51 PDT by scottputterman
Modified: 2008-07-31 01:21 PDT (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments

Description scottputterman 1999-07-29 15:51:28 PDT
bug tracking feature in Summary.
Comment 1 sol 1999-08-24 15:53:59 PDT
This needs to be fixed for PR1, so I added a note to the Status Whiteboard.
Comment 2 Phil Peterson 1999-08-27 11:00:59 PDT
Triage to M11
Comment 3 jefft 1999-09-20 11:30:59 PDT
We few steps away. Save attachments is pretty much done. I still could not find
who is doing application registration work.
Comment 4 jefft 1999-09-20 14:14:59 PDT
I just landed the save attachments work. We are just a few steps a way. We just
need to locate the right program and then launch the program with the
temporary saved attachment.
Comment 5 lchiang 1999-09-20 15:52:59 PDT
(target milestone is M11 or M12 - add to mail beta tracking bug)
Comment 6 jefft 1999-10-07 08:36:59 PDT
This needs to wait until the Necko team finishs URL dispatching and helper
application registration stuff.
Comment 7 jefft 1999-11-01 15:17:59 PST
M12 more likely....
Comment 8 pmock 2000-01-03 11:19:59 PST
*** Bug 22804 has been marked as a duplicate of this bug. ***
Comment 9 jefft 2000-01-12 15:22:59 PST
M14 ...
Comment 10 Phil Peterson 2000-02-02 09:23:05 PST
*** Bug 26200 has been marked as a duplicate of this bug. ***
Comment 11 lchiang 2000-02-07 22:01:28 PST
should this be nominated for beta1 per sol's earlier comments?
Comment 12 sol 2000-02-08 11:07:54 PST
As long as we have save attachment, I think we can live without open attachment. 
Would love to have this for beta1, but not a stopper. Therefore, I'm removing 
the beta1 keyword (and [PR1] from the Status Whiteboard.
Comment 13 selmer (gone) 2000-03-25 09:05:03 PST
Jeff, please add the necko blocking bug to the "depends on" list for this bug.
What is their estimate for when they will unblock you?  Is it making beta 2?
Comment 14 selmer (gone) 2000-04-03 18:38:40 PDT
Syncing priority with marketing.  Moving to P2 to connote "In" for beta2.
Comment 15 jefft 2000-04-28 18:35:25 PDT
Partial fix checked in. New openSaveAttachment.xul & openSaveAttachment.js 
added.
Comment 16 jefft 2000-05-02 15:52:35 PDT
More checkins to pass along attachment part and content type when calling
DisplayMessage(). Hand over to mscott for the rest of nsURILoader work.
Comment 17 lchiang 2000-05-18 14:47:38 PDT
This needs to be on nsbeta2 list.  Marking keyword "nsbeta2" so we can get a 
complete list of items.
Comment 18 leger 2000-05-23 15:47:07 PDT
Putting on [nsbeta2+] radar for beta2 fix. 
Comment 19 scottputterman 2000-06-08 14:51:27 PDT
Setting ETA based on what we talked about earlier of 1-1.5 weeks from now.
Comment 20 pmock 2000-06-12 15:48:00 PDT
Mscott,

With David Matiskella leaving Netscape, I'm concerned about his area, Helper 
Apps.  He had two bugs on Helper Applications and mime registration, reference 
bug 38374 and bug 13784. Do you agree with Scottip that this feature will be 
ready by ETA 6/19?  

/Peter
Comment 21 leger 2000-06-20 13:36:29 PDT
Adding Exception Feature info.
Comment 22 Mike 2000-06-21 13:41:14 PDT
M16 has been out for a while now, these bugs target milestones need to be 
updated.
Comment 23 Scott MacGregor 2000-06-22 02:57:30 PDT
accepting. I'm starting to tackle this right now. Hopefully I'll have it done by
the morning or tomorrow afternoon.
Comment 24 Scott MacGregor 2000-06-22 23:39:17 PDT
This feature has been checked in and is working. You should be able to open
attachments on pop and imap.

There are several caveats:
1) If the content type of the attachment is something the browser can handle, it
shold work on all platforms.

2) if the attachment is something like pdf, it doesn't work because of Bug #43075.
3) On windows, opening attachments with content types that require helper
applications like excel, real audio etc. work
4) on mac we don't use internet config yet to figure out which helper app to
open so it won't work there: Bug #43585.

See the comments in the helper application bug #38374 for more information about
how to expect helper apps and open attachment to work.


Note: Seamonkey doesn't set the content type on attachments correctly if the
content type isn't a basic (.html, .gif, etc) content type. This means when we
try to open it using seamonkey, we won't be able to find the right application
to handle it. This is filed as Bug #43574
Comment 25 pmock 2000-06-25 17:22:16 PDT
Verified as fixed on Win32, Linux, and Mac using the following builds
 Win32 commercial seamonkey build 2000-062509-m17 installed on PIII Win98
 Linux commercial seamonkey build 2000-062509-m17 installed on PII RedHat 6.1
 MacOS commercial seamonkey build 2000-062508-m17 installed on G3/400 OS 9.04

As per mscott described: 
 - I confirmed that if the content type of the attachment is something the 
browser can handle such as gif, jpeg, png, and html will open a separate browser 
window.  .TXT file will display in the message pane only
 - On windows, I find that trying to open attachments that require helper 
applications such as excel or word documents does NOT work.  
 - On Mac and Linux, I can open open attachments that the browser can handle 
internally (gif, jpeg, etc).

Mscott has filed the appropriate bugs.

Verified as fixed.  Good Work MacDaddy.

Note You need to log in before you can comment on or make changes to this bug.